function [s] = confSMU(t, s)
%confSMU Init the SMU board configuration
%   @t      obj, TCP session object
%   @s      obj, DAQ session object

clc
t.UserData.sample_tot = s.UserData.L.smu;
t.UserData.sample_cnt = 0;
t.UserData.sample_inc = s.UserData.Fs.smu/10;
t.UserData.buff_pos   = 0;
t.UserData.buff_data  = int16(zeros(1,t.UserData.sample_tot*8));
t.BytesAvailableFcnCount = 2*8*t.UserData.sample_inc;
% t.InputBufferSize = 5*t.BytesAvailableFcnCount;

conf = ['{' ...
        '# DAQ module' newline ...
        'fs:' num2str(s.UserData.Fs.smu) newline ...
        'mode:' num2str(s.UserData.mode.nval) newline ...
        'sync:' num2str(s.UserData.sync.nval) newline ...
        '# DSP module' newline ...
        'fr:' num2str(s.UserData.Fr) newline ...
                '}'];
%         'core:' 'dsp_raw' newline ...
%         '# NET module' newline ...
%         'ohost:' newline ...
%         'oappl:' 'net_raw' ...
sendSMU(t, conf);
pause(0.5);

end

